#!/bin/bash

# Stops old registry
killall -q rmiregistry

# It may take some time to stop
sleep 1s

# Make sure classpath is empty
CLASSPATH=
export CLASSPATH

CLASSPATH=$CLASSPATH:../tmp/healthwatcher-basic.jar
CLASSPATH=$CLASSPATH:../lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:../lib/aspectjtools.jar
CLASSPATH=$CLASSPATH:../lib/aspectjtools-src.jar
CLASSPATH=$CLASSPATH:../lib/caesar-compiler.jar
CLASSPATH=$CLASSPATH:../lib/caesar-runtime.jar
CLASSPATH=$CLASSPATH:../lib/caesar-tools.jar
CLASSPATH=$CLASSPATH:../lib/jsdk.jar
CLASSPATH=$CLASSPATH:../lib/mysql-connector-java-3.1.13-bin.jar

export CLASSPATH

# Start the new registry
rmiregistry &
