#!/bin/sh


JAVA_HOME=/opt/java

CLASSPATH=$CLASSPATH:../tmp/healthwatcher-basic.jar
CLASSPATH=$CLASSPATH:../lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:../lib/aspectjtools.jar
CLASSPATH=$CLASSPATH:../lib/aspectjtools-src.jar
CLASSPATH=$CLASSPATH:../lib/caesar-compiler.jar
CLASSPATH=$CLASSPATH:../lib/caesar-runtime.jar
CLASSPATH=$CLASSPATH:../lib/caesar-tools.jar
CLASSPATH=$CLASSPATH:../lib/jsdk.jar
CLASSPATH=$CLASSPATH:../lib/mysql-connector-java-3.1.13-bin.jar

export CLASSPATH

#java controllers.HealthWatcherFacade
#java aspects.distribution.Server

# AspectJ (all) and Java until version 4
java -cp $CLASSPATH -Djava.rmi.server.codebase=file:/`pwd`/../bin -Djava.rmi.server.hostname=localhost healthwatcher.business.HealthWatcherFacade

# Java version 5 to 7
#java -cp $CLASSPATH -Djava.rmi.server.codebase=file:/`pwd`/../bin -Djava.rmi.server.hostname=localhost healthwatcher.business.RMIFacadeAdapter

# Java after version 8
#java -cp $CLASSPATH -Djava.rmi.server.codebase=file:/`pwd`/../bin -Djava.rmi.server.hostname=localhost healthwatcher.business.HWServer

# This is for CaesarJ
#java -cp $CLASSPATH -Djava.rmi.server.codebase=file:/`pwd`/../bin -Djava.rmi.server.hostname=localhost healthwatcher.business.HealthWatcherServer


